API Doc
Languages
Languages
  • English
  • 简体中文
Languages
Languages
  • English
  • 简体中文
  1. Authorization
  • API Signature Process
  • API General Code
  • 1. Callback
    • Merchant Subscription Event Notification - Signature Process
  • 2. Account
    • 2.1 Check Account Balance
      GET
    • 2.2 Payment Statement
      POST
    • 2.3 Payout Statement
      POST
  • 3. Payout
    • Payout Product Flow Chart
    • Open API Channel List
    • 3.1 Create Payout
      POST
    • 3.3 Payout Callback Notification
      POST
    • 3.2 Check Payout Status
      GET
  • 4. Bills Payment
    • Bills Payment Product Flow Chart
    • Bills Payment ChannelCode List
    • 4.1 Create Static Virtual Account
      POST
    • 4.2 Batch Create Static Virtual Account
      POST
    • 4.3 Update Static Virtual Account
      POST
    • 4.4 Get Virtual Account Cashier Short Url
      POST
    • 4.5 Get Virtual Account's Payments
      GET
    • 4.6 Repayment verification API
      POST
    • 4.7 Cancel Static Virtual Account
      POST
    • 4.8 Virtual Account Callback Notification
      POST
  • 5. QrCode
    • QrCode Product Flow Chart
    • QrCode ChannelCode List
    • 5.1 Create QR Code
    • 5.2 Get QR Code Detail
    • 5.3 Get QR Code Payments
    • 5.4 Cancel QR Code
    • 5.6 Update QR Code
    • 5.5 QR Code Callback Notification
  • 6. Bank Transfer
    • Bank Transfer Product Flow Chart
    • Bank Transfer ChannelCode List
    • 6.1 Batch Create Bank Transfer Account
    • 6.2 Batch Update Bank Transfer Account
    • 6.3 Bank Transfer Account Payments
    • 6.4 Bank Transfer Callback Notification
  • 7. Web payment
    • Web Payment Product Flow Chart
    • Web Payment ChannelCode List
    • 7.1 Create Web Payment
    • 7.2 Check Web Payment Status
    • 7.3 Web Payment Channels
    • 7.4 Web Payment Callback Notification
  • 8. Refund
    • Refund Support Channel List
    • 8.1 Create Refund
    • 8.2 Get Refund Payments
    • 8.3 Refund Callback Notification
  • 9. Checkout
    • 9.1 Query the channels supported by the cashier counter
    • 9.2 Create the checkout counter
    • 9.3 Check the cashier counter
    • 9.4 Close the cashier counter
    • 9.5 Checkout Payment Notification
  • 10. Direct Debit
    • Direct Debit Channel Code List
    • Authorization
      • 10.1 Create Authorization Link
        POST
      • 10.2 Check Authorization Status
        POST
      • 10.3 Cancel Authorization
        POST
      • 10.4 Authorization Notification
        POST
    • Orders
      • 10.5 Create Payment
      • 10.6 Check Payment Status
      • 10.7 Payment Notification
  • 11. Ekyc
    • Ekyc Channel Code List
    • 11.1 Ekyc Init
    • 11.2 Ekyc Check Result
    • 11.3 Ekyc Notification
  • Schemas
    • Response body
  1. Authorization

10.4 Authorization Notification

POST
/authorization callback xxxxxxx
This interface is implemented by the merchant and its function is to notify the merchant when an authorization is completed or cancelled.

Request

Header Params

Body Params application/json

Example
{
    "channelCode": "ALIPAY_DIRECT_DEBIT",
    "countryCode": "PH",
    "eventName": "token.create.success",
    "expiresTime": "2036-03-11 18:13:15",
    "paytoken": "TKAAMXFFOOM0I17I0X",
    "requestId": "1773223973938",
    "sign": "75c87e24d829de928ffa0d64280383338109df31",
    "tokenStatus": "ACTIVED",
    "userId": "Penn09",
    "userLoginId": "userId_channel@paycools.com"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/authorization callback  xxxxxxx' \
--header 'Content-Type: application/json' \
--data-raw '{
    "channelCode": "ALIPAY_DIRECT_DEBIT",
    "countryCode": "PH",
    "eventName": "token.create.success",
    "expiresTime": "2036-03-11 18:13:15",
    "paytoken": "TKAAMXFFOOM0I17I0X",
    "requestId": "1773223973938",
    "sign": "75c87e24d829de928ffa0d64280383338109df31",
    "tokenStatus": "ACTIVED",
    "userId": "Penn09",
    "userLoginId": "userId_channel@paycools.com"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{}
Previous
10.3 Cancel Authorization
Next
10.5 Create Payment
Built with